plotGenePair {maigesPack} | R Documentation

## Scatter plots for pair of genes

### Description

This function displays scatter plots for pair of genes that presented altered correlation values in Relevance Network analysis.

### Usage

    plotGenePair(obj, gene1, gene2, posL=NULL, rCor=TRUE)

### Arguments

`obj` | object of class `maigesRelNetM`.
`gene1` | character string giving the first gene identification.
`gene2` | character string giving the first gene identification.
`posL` | numerical vector of length 2, specifying the x and y position of the legend.
`rCor` | logical specifying if the correlation are robust (calculated by the function `robustCorr`. Defaults to TRUE.

### Details

This function only picks the result of the `relNetworkM` and display scatter plots for a pair of genes giving the regression lines and the correlation values for the two biological groups tested.

### Value

This function don't return any object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`maigesRelNetM`, `robustCorr`, `relNetworkM`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Constructing the relevance network for sample
    ## 'Tissue' comparing 'Neso' and 'Aeso' for the 1st gene group
    gastro.net = relNetworkM(gastro.summ, sLabelID="Tissue",
      samples = list(Neso="Neso", Aeso="Aeso"), geneGrp=11,
      type="Rpearson")

    ## As the sample size is small, because we used a small fraction of the
    ## genes from the original dataset, this isn't so reliable.
    plotGenePair(gastro.net, "KLK13", "EVPL")

[Package maigesPack version 1.4.0 Index]